#!/usr/bin/python3

from utils import *
from download_page import download

# portable code to get filename
import os
platform = os.path.basename(__file__)
if platform.endswith(".py"):
	platform = platform[:(-3)]

def extract_from_page (page, verbosity):
	# The feed URL seems to follow this pattern for some reason.
	# This seems incredibly brittle, and I'd expect this extractor to
	# break a lot...
	return search (page, ',null,null,[null,"', '","');

def extract (url, page=None, network=False, verbosity=3, args={}):
	notify ("Unable to get feed from URL alone", verbosity, platform)
	if network == True:
		page = download (platform, url, args, verbosity)
		feed = extract_from_page (page, verbosity)
		if not feed is None:
			return feed
